play.data.parsing

## Class MultipartStream.IllegalBoundaryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - play.data.parsing.MultipartStream.IllegalBoundaryException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    MultipartStream

      public static class MultipartStream.IllegalBoundaryException
      extends java.io.IOException

  Thrown upon attempt of setting an invalid boundary token.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalBoundaryException()` Constructs an `IllegalBoundaryException` with no detail message.
    `IllegalBoundaryException(java.lang.String message)` Constructs an `IllegalBoundaryException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalBoundaryException

          public IllegalBoundaryException()

      Constructs an `IllegalBoundaryException` with no detail message.

    - #### IllegalBoundaryException

          public IllegalBoundaryException(java.lang.String message)

      Constructs an `IllegalBoundaryException` with the specified detail message.
      Parameters:
        `message` - The detail message.

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly